package com.rv.member.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.math.BigDecimal;

public class MemberOrderBean extends BaseBean {

    private MemberOrder data;

    private boolean rel;

    public MemberOrder getData() {
        return data;
    }

    public void setData(MemberOrder data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class MemberOrder {
        private long id;
        private String no;
        private String name;
        private int type;
        private long detailId;
        private int status;
        private BigDecimal goodsAmount;
        private BigDecimal orderAmount;
        private BigDecimal realAmount;
        private String picture;
        private String crtTime;
        private String crtUser;
        private String crtName;
        private long userId;
        private String updTime;
        private String crtHost;
        private long version;

        public long getId() {
            return id;
        }

        public void setId(long id) {
            this.id = id;
        }

        public String getNo() {
            return no;
        }

        public void setNo(String no) {
            this.no = no;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public long getDetailId() {
            return detailId;
        }

        public void setDetailId(long detailId) {
            this.detailId = detailId;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public BigDecimal getGoodsAmount() {
            return goodsAmount;
        }

        public void setGoodsAmount(BigDecimal goodsAmount) {
            this.goodsAmount = goodsAmount;
        }

        public BigDecimal getOrderAmount() {
            return orderAmount;
        }

        public void setOrderAmount(BigDecimal orderAmount) {
            this.orderAmount = orderAmount;
        }

        public BigDecimal getRealAmount() {
            return realAmount;
        }

        public void setRealAmount(BigDecimal realAmount) {
            this.realAmount = realAmount;
        }

        public String getPicture() {
            return picture;
        }

        public void setPicture(String picture) {
            this.picture = picture;
        }

        public String getCrtTime() {
            return crtTime;
        }

        public void setCrtTime(String crtTime) {
            this.crtTime = crtTime;
        }

        public String getCrtUser() {
            return crtUser;
        }

        public void setCrtUser(String crtUser) {
            this.crtUser = crtUser;
        }

        public String getCrtName() {
            return crtName;
        }

        public void setCrtName(String crtName) {
            this.crtName = crtName;
        }

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public String getUpdTime() {
            return updTime;
        }

        public void setUpdTime(String updTime) {
            this.updTime = updTime;
        }

        public String getCrtHost() {
            return crtHost;
        }

        public void setCrtHost(String crtHost) {
            this.crtHost = crtHost;
        }

        public long getVersion() {
            return version;
        }

        public void setVersion(long version) {
            this.version = version;
        }
    }

}
